org.eclipse.actf.visualization.engines.lowvision.image

## Interface IPageImage

    public interface IPageImage

Interface to store image data used in low vision simulation engine

### Method Summary

Methods
`List<IProblemItem>` `checkCharacters(LowVisionType type, String urlS, int frameId)` Check accessibility issues inside the image.
`void` `extractCharacters()` Extract character position in the image
`BufferedImage` `getBufferedImage()` Convert image data into `BufferedImage`
`int` `getHeight()` Get height of image
`ImagePositionInfo[]` `getInteriorImagePosition()` Get interior image position (e.g., position in HTML page image)
`int` `getWidth()` Get width of image
`boolean` `hasInteriorImageArraySet()` Check existence of interior image position information
`void` `setInteriorImagePosition(ImagePositionInfo[] infoArray)` Set interior image position (e.g., position in HTML page image)
`void` `writeToBMPFile(String _fileName)` Write image to File as Bitmap
`void` `writeToBMPFile(String _fileName, int _bitCount)` Write image to File as Bitmap

### Method Detail

#### getWidth

    int getWidth()

Get width of image

Returns:
  width

#### getHeight

    int getHeight()

Get height of image

Returns:
  image

#### extractCharacters

    void extractCharacters()
                           throws ImageException

Extract character position in the image

Throws:
  `ImageException`

#### getInteriorImagePosition

    ImagePositionInfo[] getInteriorImagePosition()

Get interior image position (e.g., position in HTML page image)

Returns:
  array of `ImagePositionInfo`

#### setInteriorImagePosition

    void setInteriorImagePosition(ImagePositionInfo[] infoArray)

Set interior image position (e.g., position in HTML page image)

Parameters:
  `infoArray` - array of `ImagePositionInfo`

#### hasInteriorImageArraySet

    boolean hasInteriorImageArraySet()

Check existence of interior image position information

Returns:
  true if interior image position is specified

#### checkCharacters

    List<IProblemItem> checkCharacters(LowVisionType type,
                                     String urlS,
                                     int frameId)
                                       throws ImageException,
                                              org.eclipse.actf.visualization.internal.engines.lowvision.problem.LowVisionProblemException

Check accessibility issues inside the image.

Parameters:
  `type` - target low vision type
  `urlS` - target's URL
  `frameId` - target's frame ID
Returns:
  list of accessibility issues (`IProblemItem`)
Throws:
  `ImageException`
  `org.eclipse.actf.visualization.internal.engines.lowvision.problem.LowVisionProblemException`

#### getBufferedImage

    BufferedImage getBufferedImage()

Convert image data into `BufferedImage`

Returns:
  image as new `BufferedImage`

#### writeToBMPFile

    void writeToBMPFile(String _fileName)
                        throws LowVisionIOException

Write image to File as Bitmap

Parameters:
  `_fileName` - target file path
Throws:
  `LowVisionIOException`

#### writeToBMPFile

    void writeToBMPFile(String _fileName,
                      int _bitCount)
                        throws LowVisionIOException

Write image to File as Bitmap

Parameters:
  `_fileName` - target file path
  `_bitCount` - depth of color (16 or 24)
Throws:
  `LowVisionIOException`